Index: TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCEditor.java
===================================================================
--- TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCEditor.java	(revision 3382)
+++ TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCEditor.java	(revision 3383)
@@ -97,7 +97,7 @@
 	 * To render in 2D or 3D.
 	 */
 	@Parameter(key = AHCPreferences.RENDERING_2D)
-	protected Button rendering2D;
+	protected ToolItem rendering2D;
 	
 	
 	@Override
@@ -170,9 +170,8 @@
 		
 		
 		// 2D/3D rendering
-		this.rendering2D = new Button(this.chartToolBar, SWT.CHECK);
-		this.rendering2D.setText("2D");//$NON-NLS-1$
-		this.chartToolBar.addControl(this.rendering2D);
+		this.rendering2D = new ToolItem(this.chartToolBar, SWT.CHECK);
+		this.rendering2D.setText("2D -> 3D"); //$NON-NLS-1$
 		this.rendering2D.addSelectionListener(computeSelectionListener);
 		
 		// FIXME: temporary fix, later must enable the font, rendering mode, etc. in R calls
@@ -207,6 +206,11 @@
 		this.numberOfClusters.setSelection(ahc.getNumberOfClusters());
 		
 		this.rowsComputing.setSelection(!ahc.isColumnsComputing());
+		
+		if (this.getResult().isRendering2D())
+			this.rendering2D.setText("2D -> 3D"); //$NON-NLS-1$
+		else 
+			this.rendering2D.setText("3D -> 2D"); //$NON-NLS-1$
 	}
 	
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3382)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3383)
@@ -37,6 +37,8 @@
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
 import org.eclipse.jface.action.MenuManager;
+import org.eclipse.jface.viewers.CellLabelProvider;
+import org.eclipse.jface.viewers.ColumnViewerToolTipSupport;
 import org.eclipse.jface.viewers.DecoratingLabelProvider;
 import org.eclipse.jface.viewers.DoubleClickEvent;
 import org.eclipse.jface.viewers.IDoubleClickListener;
@@ -47,6 +49,7 @@
 import org.eclipse.jface.viewers.TreeViewer;
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.jface.viewers.ViewerSorter;
+import org.eclipse.jface.window.ToolTip;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.SWTException;
 import org.eclipse.swt.events.KeyAdapter;
@@ -169,18 +172,10 @@
 		if (Toolbox.isInitialized()) {
 			
 			treeViewer.setContentProvider(new CorpusViewContentProvider(this));
-			treeViewer.setLabelProvider(new DecoratingLabelProvider(new WorkbenchLabelProvider(), PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()) {
-				
-				@Override
-				public String getText(Object element) { // cut label if too long
-					String txt = super.getText(element);
-					if (txt != null && txt.length() > TXMEditor.MAX_NAME_LENGTH) {
-						txt = txt.substring(0, TXMEditor.MAX_NAME_LENGTH - 1) + "...";
-					}
-					return txt;
-				}
-			});
+			ColumnViewerToolTipSupport.enableFor(treeViewer);
 			
+			treeViewer.setLabelProvider(new CorpusViewLabelProvider(new WorkbenchLabelProvider(), PlatformUI.getWorkbench().getDecoratorManager().getLabelDecorator()));
+			
 			Workspace w = Toolbox.workspace;
 			if (w == null) {
 				return;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewLabelProvider.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewLabelProvider.java	(revision 0)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewLabelProvider.java	(revision 3383)
@@ -0,0 +1,36 @@
+package org.txm.rcp.views.corpora;
+
+import org.eclipse.jface.viewers.DecoratingLabelProvider;
+import org.eclipse.jface.viewers.ILabelDecorator;
+import org.eclipse.jface.viewers.ILabelProvider;
+import org.eclipse.jface.viewers.IToolTipProvider;
+import org.txm.core.results.TXMResult;
+import org.txm.rcp.editors.TXMEditor;
+
+public class CorpusViewLabelProvider extends DecoratingLabelProvider implements IToolTipProvider {
+	
+	public CorpusViewLabelProvider(ILabelProvider provider, ILabelDecorator decorator) {
+		
+		super(provider, decorator);
+		// TODO Auto-generated constructor stub
+	}
+
+	@Override
+	public String getText(Object element) { // cut label if too long
+		
+		String txt = super.getText(element);
+		if (txt != null && txt.length() > TXMEditor.MAX_NAME_LENGTH) {
+			txt = txt.substring(0, TXMEditor.MAX_NAME_LENGTH - 1) + "...";
+		}
+		
+		return txt;
+	}
+
+	@Override
+	public String getToolTipText(Object element) {
+		
+		if (element == null) return null;
+		if (element instanceof TXMResult) return ((TXMResult) element).getDetails();
+		return element.toString();
+	}
+}

Property changes on: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewLabelProvider.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewContentProvider.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewContentProvider.java	(revision 3382)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewContentProvider.java	(revision 3383)
@@ -39,6 +39,7 @@
 import org.eclipse.core.runtime.IAdaptable;
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.jface.viewers.ITreeContentProvider;
+import org.eclipse.jface.viewers.TreeNodeContentProvider;
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.txm.Toolbox;
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages.properties	(revision 3382)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages.properties	(revision 3383)
@@ -1,6 +1,7 @@
 #TXM messages generated by the PluginMessagesManager class
 #Tue Dec 18 10:24:08 CET 2018
 banality=Banality
+banalityThreshold=Banality threshold
 drawBars=Show bars
 drawLines=Show lines
 failedToComputeSpecificities=** Failed to compute specificities\: {0}.
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 3382)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 3383)
@@ -18,7 +18,8 @@
 	public static String groupBarsByLines; 
 	public static String drawLines; 
 	public static String drawBars; 
-	public static String banality; 
+	public static String banality;
+	public static String banalityThreshold;
 
 	public static String maximumScore; 
 	public static String failedToComputeSpecificities; 
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages_fr.properties
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages_fr.properties	(revision 3382)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/messages_fr.properties	(revision 3383)
@@ -1,6 +1,7 @@
 #TXM messages generated by the PluginMessagesManager class
 #Tue Dec 18 10:24:08 CET 2018
 banality=Banalité
+banalityThreshold=Seuil de banalité
 drawBars=Afficher les barres
 drawLines=Afficher les lignes
 failedToComputeSpecificities=** Le calcul des spécificités a échoué \: {0}.
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3382)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 3383)
@@ -210,6 +210,7 @@
 			specificitesTable.setSortDirection(SWT.UP);
 			
 			if (!this.getResult().isParentVisible()) {
+				
 				ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), SWT.NONE, this, true, true);
 				this.fMinSpinner = thresholdsGroup.getFMinSpinner();
 				this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
@@ -222,7 +223,6 @@
 					this.fMinSpinner.setMaximum(corpus.getSize());
 				}
 			}
-			
 		}
 		catch (Exception e) {
 			Log.severe(NLS.bind(SpecificitiesUIMessages.failedToComputeSpecificities, e.getMessage()));
@@ -292,7 +292,7 @@
 					// lexicalTableColumn.setToolTipText(lexicalTableColumnNames[i] + " t=" + lexicalTableColumnTotalFrequencies[i]); //$NON-NLS-1$
 					// System.out.println("create column "+partNames[i]);
 					lexicalTableColumn.setAlignment(SWT.RIGHT);
-					lexicalTableColumn.pack();
+					//lexicalTableColumn.pack();
 					
 					viewerComparator.addSelectionAdapter(viewer, lexicalTableColumn, (firstLexicalTableColumnIndex + 1));
 				}
@@ -336,7 +336,7 @@
 			}
 			typeFrequencyColumn.setText(text);
 			typeFrequencyColumn.setToolTipText(typeFrequencyColumn.getText());
-			typeFrequencyColumn.pack();
+			//typeFrequencyColumn.pack();
 			
 			// Updating the table headers from lexical table values
 			for (int i = 0, firstLexicalTableColumnIndex = 3; i < len; i++, firstLexicalTableColumnIndex += 2) {
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 3382)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 3383)
@@ -55,7 +55,7 @@
 		// Banality
 		Composite extendedParametersArea = this.getExtendedParametersGroup();
 
-		LabeledSpinner banality = new LabeledSpinner(extendedParametersArea, this, new Label(extendedParametersArea, SWT.NONE), new FloatSpinner(extendedParametersArea, SWT.BORDER), "Banality", "Banality threshold", true);
+		LabeledSpinner banality = new LabeledSpinner(extendedParametersArea, this, new Label(extendedParametersArea, SWT.NONE), new FloatSpinner(extendedParametersArea, SWT.BORDER), SpecificitiesUIMessages.banality, SpecificitiesUIMessages.banalityThreshold, true);
 		this.banalitySpinner = (FloatSpinner) banality.getSpinner();
 		this.banalitySpinner.setMaximumAsFloat(200);
 		this.banalitySpinner.addSelectionListener(computeSelectionListener);
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesLinesViewerComparator.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesLinesViewerComparator.java	(revision 3382)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesLinesViewerComparator.java	(revision 3383)
@@ -86,7 +86,6 @@
 				viewer.getTable().setSortColumn(column);
 				
 				TXMEditor.packColumns(viewer);
-				
 			}
 		});
 	}
